diff --git a/project/bundles/mxe/01-build-mxe.sh b/project/bundles/mxe/01-build-mxe.sh
index 282f5bd152..c89bbdecb7 100755
--- a/project/bundles/mxe/01-build-mxe.sh
+++ b/project/bundles/mxe/01-build-mxe.sh
@@ -89,6 +89,7 @@ if [[ $MXE_GIT_REVISION == "master" ]]; then
     echo -e "\n"
     echo "---------- Updating MXE"
     git pull
+    git apply /media/backup6/download/mxe_qt5.12.5.patch
 else
     echo -e "\n"
     echo "---------- Checkout MXE revision to $MXE_GIT_REVISION"
@@ -121,6 +122,7 @@ make MXE_TARGETS=$MXE_BUILD_TARGETS \
      zlib \
      mman-win32 \
      pthreads \
+     imagemagick \
      qtbase \
      qttranslations \
      qtimageformats \
@@ -128,9 +130,8 @@ make MXE_TARGETS=$MXE_BUILD_TARGETS \
      qttools \
      qtwinextras \
      qtscript \
-     ffmpeg \
-     openal \
-     libical
+     MXE_PLUGIN_DIRS='plugins/gcc8'
+     
 
 echo -e "\n"
 
@@ -171,24 +172,15 @@ ${MXE_BUILD_TARGETS}-cmake $ORIG_WD/../3rdparty \
 # Low level libraries
 # NOTE: The order to compile each component here is very important.
 
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_opencv     -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_exiv2      -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_qtav       -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_lensfun    -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_opencv     -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_exiv2      -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_qtav       -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_lensfun    -- -j$CPU_CORES
 #${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_libgphoto2 -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_drmingw    -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_heif       -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_drmingw    -- -j$CPU_CORES
 
 #################################################################################################
 
-cd $MXE_BUILDROOT
-
-echo -e "\n"
-echo "---------- Building digiKam extra dependencies with MXE"
-
-make MXE_TARGETS=$MXE_BUILD_TARGETS \
-     imagemagick
-
 export PATH=$ORIG_PATH
 
 TerminateScript
diff --git a/project/bundles/mxe/02-build-extralibs.sh b/project/bundles/mxe/02-build-extralibs.sh
index eb496f6c2f..db8fd99c4e 100755
--- a/project/bundles/mxe/02-build-extralibs.sh
+++ b/project/bundles/mxe/02-build-extralibs.sh
@@ -75,39 +75,31 @@ ${MXE_BUILD_TARGETS}-cmake $ORIG_WD/../3rdparty \
 
 # core KF5 frameworks dependencies
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_extra-cmake-modules -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kconfig             -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_breeze-icons        -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kconfig             -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_breeze-icons        -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcoreaddons         -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kwindowsystem       -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_solid               -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_threadweaver        -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_solid               -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_threadweaver        -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_karchive            -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kdbusaddons         -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_ki18n               -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcrash              -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcodecs             -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kauth               -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kdbusaddons         -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_ki18n               -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcrash              -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcodecs             -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kauth               -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kguiaddons          -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kwidgetsaddons      -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kitemviews          -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcompletion         -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kconfigwidgets      -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kiconthemes         -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kservice            -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kglobalaccel        -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kxmlgui             -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kbookmarks          -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kimageformats       -- -j$CPU_CORES
-
-# Geolocation support
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_marble              -- -j$CPU_CORES
-
-# Calendar support
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcalcore            -- -j$CPU_CORES
-
-# Marble install shared lib at wrong place.
-mv $MXE_INSTALL_PREFIX/libastro* $MXE_INSTALL_PREFIX/bin
-mv $MXE_INSTALL_PREFIX/libmarble* $MXE_INSTALL_PREFIX/bin
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kitemviews          -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcompletion         -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kconfigwidgets      -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kiconthemes         -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kservice            -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kglobalaccel        -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kxmlgui             -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kbookmarks          -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kimageformats       -- -j$CPU_CORES
+
+
 
 #################################################################################################
 
diff --git a/project/bundles/mxe/03-build-digikam.sh b/project/bundles/mxe/03-build-digikam.sh
index 6ca87e1900..b520812643 100755
--- a/project/bundles/mxe/03-build-digikam.sh
+++ b/project/bundles/mxe/03-build-digikam.sh
@@ -11,28 +11,7 @@
 
 # Halt and catch errors
 set -eE
-trap 'PREVIOUS_COMMAND=$THIS_COMMAND; THIS_COMMAND=$BASH_COMMAND' DEBUG
-trap 'echo "FAILED COMMAND: $PREVIOUS_COMMAND"' ERR
 
-#################################################################################################
-# Manage script traces to log file
-
-mkdir -p ./logs
-exec > >(tee ./logs/build-digikam.full.log) 2>&1
-
-#################################################################################################
-
-echo "03-build-digikam.sh : build digiKam using MEX."
-echo "---------------------------------------------------"
-
-#################################################################################################
-# Pre-processing checks
-
-. ./config.sh
-. ./common.sh
-StartScript
-ChecksCPUCores
-RegisterRemoteServers
 
 #################################################################################################
 
@@ -41,100 +20,11 @@ ORIG_PATH="$PATH"
 ORIG_WD="`pwd`"
 
 export PATH=$MXE_BUILDROOT/usr/bin:$MXE_INSTALL_PREFIX/qt5/bin:$PATH
-cd $MXE_BUILDROOT
+#cd $MXE_BUILDROOT
 
 #################################################################################################
 # Build digiKam in temporary directory and installation
-
-if [ -d "$DK_BUILDTEMP/digikam-$DK_VERSION" ] ; then
-
-    echo "---------- Updating existing $DK_BUILDTEMP"
-
-    cd "$DK_BUILDTEMP"
-    cd digikam-$DK_VERSION
-
-    git reset --hard
-    git pull
-
-    mkdir -p build.mxe
-
-else
-
-    echo "---------- Creating $DK_BUILDTEMP"
-    mkdir -p "$DK_BUILDTEMP"
-
-    if [ $? -ne 0 ] ; then
-        echo "---------- Cannot create $DK_BUILDTEMP directory."
-        echo "---------- Aborting..."
-        exit;
-    fi
-
-    cd "$DK_BUILDTEMP"
-    echo -e "\n\n"
-    echo "---------- Downloading digiKam $DK_VERSION"
-
-    git clone --progress --verbose $DK_GITURL digikam-$DK_VERSION
-    cd digikam-$DK_VERSION
-
-    if [ $? -ne 0 ] ; then
-        echo "---------- Cannot clone repositories."
-        echo "---------- Aborting..."
-        exit;
-    fi
-
-    git checkout $DK_VERSION
-
-    mkdir build.mxe
-
-fi
-
-echo -e "\n\n"
-echo "---------- Configure digiKam $DK_VERSION"
-
-sed -e "s/DIGIKAMSC_CHECKOUT_PO=OFF/DIGIKAMSC_CHECKOUT_PO=ON/g" ./bootstrap.mxe > ./tmp.mxe ; mv -f ./tmp.mxe ./bootstrap.mxe
-sed -e "s/DIGIKAMSC_COMPILE_PO=OFF/DIGIKAMSC_COMPILE_PO=ON/g"   ./bootstrap.mxe > ./tmp.mxe ; mv -f ./tmp.mxe ./bootstrap.mxe
-sed -e "s/DBUILD_TESTING=ON/DBUILD_TESTING=OFF/g"               ./bootstrap.mxe > ./tmp.mxe ; mv -f ./tmp.mxe ./bootstrap.mxe
-sed -e "s/DENABLE_DBUS=ON/DENABLE_DBUS=OFF/g"                   ./bootstrap.mxe > ./tmp.mxe ; mv -f ./tmp.mxe ./bootstrap.mxe
-sed -e "s/DENABLE_DRMINGW=OFF/DENABLE_DRMINGW=ON/g"             ./bootstrap.mxe > ./tmp.mxe ; mv -f ./tmp.mxe ./bootstrap.mxe
-
-chmod +x ./bootstrap.mxe
-
-./bootstrap.mxe $MXE_BUILDROOT RelWithDebInfo -DPng2Ico_EXECUTABLE=${ORIG_WD}/png2ico/png2ico
-
-if [ $? -ne 0 ]; then
-    echo "---------- Cannot configure digiKam $DK_VERSION."
-    echo "---------- Aborting..."
-    exit;
-fi
-
-cat ./build.mxe/core/app/utils/digikam_version.h | grep "digikam_version\[\]" | awk '{print $6}' | tr -d '";' > $ORIG_WD/data/RELEASEID.txt
-
-echo -e "\n\n"
-echo "---------- Building digiKam $DK_VERSION"
-
-cd build.mxe
-make -j$CPU_CORES
-
-if [ $? -ne 0 ]; then
-    echo "---------- Cannot compile digiKam $DK_VERSION."
-    echo "---------- Aborting..."
-    exit;
-fi
-
-echo -e "\n\n"
-echo "---------- Installing digiKam $DK_VERSION"
-echo -e "\n\n"
-
-make install/fast && cd "$ORIG_WD" && rm -rf "$DK_BUILDTEMP"
-
-if [ $? -ne 0 ]; then
-    echo "---------- Cannot install digiKam $DK_VERSION."
-    echo "---------- Aborting..."
-    exit;
-fi
-
-#################################################################################################
-
-export PATH=$ORIG_PATH
-
-TerminateScript
+pwd
+cd qelectrotech-0.70.r5958/build
+/media/backup6/digikam_new/project/bundles/mxe/build.win64/usr/bin/x86_64-w64-mingw32.static-qmake-qt5  ../qelectrotech.pro
+make -j16
diff --git a/project/bundles/mxe/config.sh b/project/bundles/mxe/config.sh
index 061b0f7207..ee36c0f0d5 100644
--- a/project/bundles/mxe/config.sh
+++ b/project/bundles/mxe/config.sh
@@ -19,17 +19,19 @@ BUILDING_DIR="`pwd`/temp.build"
 
 #------------
 # IMPORTANT: Target Windows architecture to build installer. Possible values: 32 or 64 bits.
-MXE_ARCHBITS=64
+MXE_ARCHBITS=32
 #------------
 
 if [[ $MXE_ARCHBITS == 32 ]]; then
     # Windows 32 bits shared
-    MXE_BUILD_TARGETS="i686-w64-mingw32.shared"
+    MXE_BUILD_TARGETS="i686-w64-mingw32.static"
     MXE_BUILDROOT="`pwd`/build.win32"
+    MXE_PLUGIN_DIRS='plugins/gcc8'
 elif [[ $MXE_ARCHBITS == 64 ]]; then
     # Windows 64 bits shared
-    MXE_BUILD_TARGETS="x86_64-w64-mingw32.shared"
+    MXE_BUILD_TARGETS="x86_64-w64-mingw32.static"
     MXE_BUILDROOT="`pwd`/build.win64"
+    MXE_PLUGIN_DIRS='plugins/gcc8'
 else
     echo "Unsupported or wrong target Windows architecture: $MXE_ARCHBITS bits."
     exit -1
@@ -42,7 +44,6 @@ MXE_GIT_REVISION=master
 MXE_INSTALL_PREFIX=${MXE_BUILDROOT}/usr/${MXE_BUILD_TARGETS}/
 MXE_TOOLCHAIN=${MXE_INSTALL_PREFIX}/share/cmake/mxe-conf.cmake
 
-#-------------------------------------------------------------------------------------------
 
 # URL to git repository to checkout digiKam source code
 DK_GITURL="git@invent.kde.org:kde/digikam.git"
